import { Base, Type } from "igniteui-webcomponents-core";
import { IDelayedExecutionManager } from "./IDelayedExecutionManager";
import { DomRenderer } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class DataGridDelayedExecutionManager extends Base implements IDelayedExecutionManager {
    static $t: Type;
    private a;
    constructor(a: DomRenderer);
    cancelPending(a: number): void;
    executeIn(a: () => void, b: number): number;
}
